###############################################################################
# Paul Gampe - <pgampe@redhat.com>
# TODO: Localize language names when rpm supports utf-8 spec files
###############################################################################
%define lang_code ko
%define lang_name Korean

Copyright: distributable
Source: rhl-ig-x86-%{lang_code}-%{version}.tbz
Release: 3
Name: rhl-ig-x86-%{lang_code}
Group: Documentation
Version: 9
Summary: The %{lang_name} Red Hat Linux %{version} x86 Installation Guide in HTML format
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 
The %{lang_name} Red Hat Linux %{version} x86 Installation Guide covers Red Hat
Linux installation methods. Every installation step is discussed in detail,
including system requirements, starting the installation, choosing an
installation type, configuring X, and entering network information.

The %{name} package contains the %{lang_name} Red Hat Linux %{version} x86
Installation Guide in HTML format.  PDF, RPM, HTML tarball, and browsable HTML
formats are available from the Red Hat Docs web page at
http://www.redhat.com/docs/.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=x86 Installation Guide (%{lang_code})
Comment=Read about installing Red Hat Linux in %{lang_name}
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Wed Mar 05 2003 Paul Gampe <pgampe@redhat.com> 9-1
- Initial spec file
